part of cresce_ui;

class CDataPlaceholder extends StatelessWidget {
  final String text;
  final VoidCallback? onTap;
  final Size size;

  const CDataPlaceholder({
    Key? key,
    required this.text,
    this.onTap,
    this.size = const Size(180, 87),
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return CSmallModal(
      onTap: onTap,
      size: size,
      child: Center(
        child: CText(
          label: text,
          style: CTextStyles.captionSecondaryVar1,
        ),
      ),
    );
  }
}
