part of cresce_ui;

class CText extends StatelessWidget {
  const CText({
    Key? key,
    required this.label,
    required this.style,
    this.width,
    this.align,
  }) : super(key: key);

  final String label;
  final TextStyle style;
  final double? width;
  final TextAlign? align;

  @override
  Widget build(BuildContext context) {
    return SizedBox(
      width: width,
      child: Text(
        label,
        style: style,
        overflow: TextOverflow.fade,
        softWrap: false,
        textAlign: align,
      ),
    );
  }
}
